CMSIS-DSP: arm_variance_example_f32.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_variance_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

float32_t | wire1 [MAX_BLOCKSIZE]
float32_t | wire2 [MAX_BLOCKSIZE]
float32_t | wire3 [MAX_BLOCKSIZE]
float32_t | testInput_f32 [32]
uint32_t | blockSize
float32_t | refVarianceOut

## Macro Definition Documentation

#define DELTA

Examples:
  arm_variance_example_f32.c.

#define MAX_BLOCKSIZE

Examples:
  arm_variance_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_variance_example_f32.c.

## Variable Documentation

uint32_t blockSize

Examples:
  arm_variance_example_f32.c.

float32_t refVarianceOut

Examples:
  arm_variance_example_f32.c.

float32_t testInput_f32[32]

Examples:
  arm_variance_example_f32.c.

float32_t wire1[MAX_BLOCKSIZE]

Examples:
  arm_variance_example_f32.c.

float32_t wire2[MAX_BLOCKSIZE]

Examples:
  arm_variance_example_f32.c.

float32_t wire3[MAX_BLOCKSIZE]

Examples:
  arm_variance_example_f32.c.